de.dhbwstuttgart.typeinference.typedeployment

## Class GenericVarExtendsDeclarationPatch

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.GenericVarExtendsDeclarationPatch

-     class GenericVarExtendsDeclarationPatch
      extends java.lang.Object

  Eine Hilfsklasse zur Einsetzung einer Generischen Variable mit extend Bedingung.
  Author:
    janulrich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Pair` | `genericPair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericVarExtendsDeclarationPatch(Pair p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `definesGenericVar(TypePlaceholder tph)` Kontrolliert ob der T1 mit tph Ã¼bereinstimmt im Constraint: T1 extends T2
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getInsertString(ResultSet resultSet)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### genericPair

          private Pair genericPair

  - ### Constructor Detail

    - #### GenericVarExtendsDeclarationPatch

          public GenericVarExtendsDeclarationPatch(Pair p)

  - ### Method Detail

    - #### definesGenericVar

          public boolean definesGenericVar(TypePlaceholder tph)

      Kontrolliert ob der T1 mit tph Ã¼bereinstimmt im Constraint: T1 extends T2
      Parameters:
        `tph` -
      Returns:

    - #### getInsertString

          public java.lang.String getInsertString(ResultSet resultSet)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`